.create-net-component {
  display: block;
  justify-content: center;
  min-width: 100vw;
  height: 100vh;
  // min-height: calc((var(--vh, 1vh) * 100) - 0px);
  background-color: $primary;
  padding-left: 1rem;
  padding-right: 1rem;
  margin-top: 0rem;
  overflow-y: auto;
  & > .row {
    height: auto;
  }
  &__inputs-container {
    padding-left: 0;
    padding-right: 0;
    max-width: rem(500px);
    padding-top: rem(32px);
  }
  &--max-height {
    height: calc(100vh - 48px);
  }
  &__image {
    width: 100%;
    height: 100%;
    max-width: 70vw;
    max-height: 20vh;
    max-width: rem(350px);
    max-height: rem(350px);
    margin-top: auto;
  }
  &__main-page {
    // height: 100vh;
    // margin-top: 0;
    // padding-top: 3rem;
    // margin-top: 0;
    padding-top: 0rem;
    min-height: calc((var(--vh, 1vh) * 100) - 75px);
    display: flex;
    justify-content: center;
    background-color: #FFDD02;
    padding-left: 1rem;
    padding-right: 1rem;
    overflow-y: unset;
    border-radius: unset;
  }

  &-header {
    &__content {
      background-color: $primary;
      // height: 100%;
      display: flex;
      align-items: center;
      width: 100%;
      justify-content: center;
    }
  }
  &__wrap-modal {
    background-color: transparent;
  }
  &__icons_list{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 10px;
    & .icon {
      border: none;
      background-color: transparent;
    }
  }
}

@media screen and (min-width: 992px) {
  .create-net-component {
    height: auto;
    min-height: calc((var(--vh, 1vh) * 100) - 75px);
    overflow-y: auto;
    // margin-top: 3rem;
    position: relative;
    z-index: 50;
    display: block;
    justify-content: unset;
    &--taller {
      min-height: calc(100%);
    }
    &__main-page {
      margin-top: 0;
      padding-top: 0rem;
      min-height: calc((var(--vh, 1vh) * 100) - 75px);
      display: flex;
      justify-content: center;
      background-color: #FFDD02;
      padding-left: 1rem;
      padding-right: 1rem;
      overflow-y: unset;
      border-radius: unset;
      &--high {
        // height: calc(100% - 75px)
      }
    }
    &__modal {
      max-width: 31.25rem;
      min-width: 31.25rem;
      // height: calc(90vh - 202px);
      height: auto;
      max-height: 90vh;
      // margin-top: 3rem;
      margin-left: auto;
      padding: 0;
      margin-right: auto;
      background: none;
      border-radius: 0.8rem 0.8rem;
      min-height: unset;
      &-content {
        height: auto;
        margin-left: auto;
        margin-right: auto;
        max-width: rem(500px);
        background: $primary;
        position: relative;
        z-index: 2;
        border: none;
        border-radius: 0 0 .5rem .5rem;
        padding-top: 0;
        padding-bottom: 0;
        display: flex;
        justify-content: flex-end;
        align-items: flex-end;
        &:focus {
          outline: none;
        }
      }
    }
    &__image {
      margin-top: auto;
    }
    &__close-container {
      // height: calc(90vh - 48px);
      position: absolute;
      top: 0;
      z-index: 1;
      width: 100%;
      border: none;
      background: none;
      padding: 0;
    }
  }
}
